Managed Service for MySQL API, REST: Cluster.ListHosts
Retrieves a list of hosts for a cluster.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mysql/v1/clusters/{clusterId}/hosts
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the cluster to list hosts for. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token that can be used to iterate through multiple pages of results. The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"hosts": [
{
"name": "string",
"clusterId": "string",
"zoneId": "string",
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"role": "string",
"health": "string",
"services": [
{
"type": "string",
"health": "string"
}
],
"subnetId": "string",
"assignPublicIp": "boolean",
"replicationSource": "string",
"backupPriority": "string",
"priority": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
hosts[] |
List of hosts in the cluster. |
|
nextPageToken |
string The token that can be used to get the next page of results. |
Host
|
Field |
Description |
|
name |
string Name of the host. |
|
clusterId |
string ID of the cluster the host belongs to. |
|
zoneId |
string ID of the availability zone where the host resides. |
|
resources |
Resources allocated to the host. |
|
role |
enum (Role) Role of the host in the cluster. If the field has default value, it is not returned in the response.
|
|
health |
enum (Health) Aggregated health of the host. If the field has default value, it is not returned in the response.
|
|
services[] |
List of services provided by the host. |
|
subnetId |
string ID of the subnet that the host belongs to. |
|
assignPublicIp |
boolean Flag that shows if public IP address is assigned to the host so that the host can be accessed from the internet. |
|
replicationSource |
string Name of the host to be used as the replication source for cascading replication. |
|
backupPriority |
string (int64) Host backup priority. Acceptable values are 0 to 100, inclusive. |
|
priority |
string (int64) Host master promotion priority. Acceptable values are 0 to 100, inclusive. |
Resources
Cluster resource preset.
|
Field |
Description |
|
resourcePresetId |
string ID of the resource preset that defines available computational resources (vCPU, RAM, etc.) for a cluster host. |
|
diskSize |
string (int64) Volume of the storage (for each cluster host, in bytes). |
|
diskTypeId |
string Type of the storage.
|
Service
|
Field |
Description |
|
type |
enum (Type) Type of the service provided by the host. If the field has default value, it is not returned in the response.
|
|
health |
enum (Health) Aggregated health of the service. If the field has default value, it is not returned in the response.
|